/***************************************************************/
//
//
//		DirectX	[ immortal.h ]
//
//											Author	kazuki tanaka
//											Date	2017 6/7
/*---------------------------------------------------------------
걾Update : 2017/6/7
			Create Header File -> immortal.h.h 
 			< Add Class Function >
				OCTOPUS->Constructor
				OCTOPUS->Destructor
				OCTOPUS->Create ( static member )
				OCTOPUS->Init
				OCTOPUS->Uninit
				OCTOPUS->Update
				OCTOPUS->Draw

걾Update : 2017/6/7



/*-------------------------------------------------------------*/
#ifndef _OCTOPUS_H_

#define _OCTOPUS_H_


/*---------------------------------------------------------------
	Include File
---------------------------------------------------------------*/

#include "base.h"

/*---------------------------------------------------------------
	Class
---------------------------------------------------------------*/


// Class Octopus Using Octopus
class Octopus : public Base
{
public:

	Octopus( );						// Octopus Constructor
	~Octopus( );						// Octopus Destructor

	static Octopus* Create( void );	// Octopus Create Instance Class

	void Init( void );					// Octopus Initialize
	void Uninit( void );				// Octopus Uninitialize
	void Update( void );				// Octopus Update
	void Draw( void );					// Octopus Draw

	void Attack( GameObject* obj[],int x, int z, int vertical, int horizonal );

	void OnContact( void )override;

	virtual void OnScissor( void );	// 궼궠귏귢궫궴궖
	virtual void Scissor( void );		// 궼궠귪궬궴궖


private:

	// Member Variable
	


};


#endif	//	_OCTOPUS_H_


